
QGIS Application - Bug report #3238

Long name for symbols in Symbol selector should be adjusted

2010-11-19 06:14 AM - pinux -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13298

Description

When a name of a symbol is too long, it is ugly to see the symbols in the Symbol selector or in the Style manager. See the attachment.

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-18 08:45 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

Hello, bug triage...

on QGIS 2.13 (and previous versions), the style library of the Style Manager or the symbol renderer cuts the name of the style to a fixed size (about 9

characters wide but it is in pixels or screen unit).

I am closing this bug.
